#
# spec file for package python-yaql
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-yaql
Version:        1.1.0
Release:        2.3
Summary:        YAQL - Yet Another Query Language
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/yaql
Source:         https://pypi.python.org/packages/02/a4/2b12d3e56dfdbe0b2a6449f3a4987fa30b06432c11fd7a83044c29c48bde/yaql-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-pbr
# for testing
BuildRequires:  python-Sphinx
BuildRequires:  python-fixtures
BuildRequires:  python-oslosphinx
BuildRequires:  python-ply
BuildRequires:  python-python-dateutil
BuildRequires:  python-python-subunit
BuildRequires:  python-six
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
Requires:       python-Babel >= 1.3
Requires:       python-ply
Requires:       python-python-dateutil >= 2.4.2
Requires:       python-six >= 1.9.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
YAQL (Yet Another Query Language) is an embeddable and extensible query
language, that allows performing complex queries against arbitrary objects. It
has a vast and comprehensive standard library of frequently used querying
functions and can be extend even further with user-specified functions. YAQL is
written in python and is distributed via PyPI.

%prep
%setup -q -n yaql-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py testr

%files
%defattr(-,root,root,-)
%doc LICENSE ChangeLog README.rst AUTHORS
%{python_sitelib}/*
%{_bindir}/yaql

%changelog
* Thu May 26 2016 tbechtold@suse.com
- Initial packaging (version 1.1.0)
